Bug 1330257 - glusterd: SSL certificate depth volume option is incorrect
Summary: glusterd: SSL certificate depth volume option is incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Kaleb KEITHLEY
QA Contact: Anoop
URL:
Whiteboard:
Depends On: 1330248 1330249
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 18:21 UTC by Kaleb KEITHLEY
Modified: 2018-02-01 05:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1330249
Environment:
Last Closed: 2018-02-01 05:13:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2016-04-25 18:21:48 UTC
+++ This bug was initially created as a clone of Bug #1330249 +++

+++ This bug was initially created as a clone of Bug #1330248 +++

Description of problem:

from #gluster

xlators/mgmt/glusterd/src/glusterd-volgen.c sets volume option 

  ssl-cetificate-depth

Which not only is missing the 'r' in certifciate, but over in rpc/rpc-transport/socket/src/socket.c the volume option being looked for is

  ssl-cert-depth


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Atin Mukherjee 2016-05-04 12:54:49 UTC
Upstream mainline patch : http://review.gluster.org/#/c/14066/
3.7 patch : http://review.gluster.org/#/c/14067/

Comment 5 Amar Tumballi 2018-02-01 05:13:01 UTC
Thank you for the bug report. 

This particular bug was fixed and a update package was published. Please feel free to report any further bugs you find, or make further reports if this bug is not fixed after you install the update.


Note You need to log in before you can comment on or make changes to this bug.